<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <button onclick="vm.openform()">openform</button>
        <h1>{{ 'nilai a: ' + a }}</h1>
        <h1>{{ 'Rata rata: ' + i }}</h1>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data:{
                a : 0,
                i : 0,
                banyak : 0,
                
            },
            methods:{
                openform : function(){
                    for (let i = 0; i < 4; i++){
                    if(this.a<10){
                            this.a + prompt("masukkan nilai a")*1
                            this.banyak += 1
                        }
                    }
                }
            }
        })
    </script>
</body>
</html>